org.apache.tomcat.util.http.mapper

## Class Mapper.Wrapper

- java.lang.Object
- - org.apache.tomcat.util.http.mapper.Mapper.MapElement
  - - org.apache.tomcat.util.http.mapper.Mapper.Wrapper

- Enclosing class:
    Mapper

      protected static class Mapper.Wrapper
      extends Mapper.MapElement

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `jspWildCard`
    `boolean` | `resourceOnly`

    - ### Fields inherited from class org.apache.tomcat.util.http.mapper.Mapper.MapElement

      `name, object`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mapper.Wrapper(String name, Object wrapper, boolean jspWildCard, boolean resourceOnly)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### jspWildCard

          public final boolean jspWildCard

    - #### resourceOnly

          public final boolean resourceOnly

  - ### Constructor Detail

    - #### Mapper.Wrapper

          public Mapper.Wrapper(String name,
                        Object wrapper,
                        boolean jspWildCard,
                        boolean resourceOnly)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.